Rel: can't make build relative to /opt/build/repo

Did a push today morning and got this very short build log:

10:55:02 AM: Build ready to start
10:55:04 AM: build-image version: 2dbd444fcdce00cf06325060a8238d5ae3e86774
10:55:04 AM: build-image tag: v3.3.7
10:55:04 AM: buildbot version: 134ec431c6a3ff76e87cc4dc34007fe13842272f
10:55:04 AM: Fetching cached dependencies
10:55:04 AM: Starting to download cache of 254.9KB
10:55:04 AM: Finished downloading cache in 111.740088ms
10:55:04 AM: Starting to extract cache
10:55:04 AM: Failed to fetch cache, continuing with build
10:55:04 AM: Starting to prepare the repo for build
10:55:05 AM: No cached dependencies found. Cloning fresh repo
10:55:05 AM: git clone https://github.com/...
10:55:06 AM: Preparing Git Reference refs/heads/master
10:55:07 AM: Failing build: Failed to parse configuration
10:55:07 AM: failed during stage 'Reading and parsing configuration files': Rel: can't make build relative to /opt/build/repo
10:55:07 AM: Finished processing build request in 2.685283468s

I have not changed anything regarding the build process since my last working commit about a week ago, not sure what caused this.

Here is a build which exhibits this (made a couple minutes back from now).

hey there, thanks for that.

i think the problem might be:

6:20:34 AM: Preparing Git Reference refs/heads/master
6:20:35 AM: Failing build: Failed to parse configuration

is your repo public? could you post the link here please?

hmm. i am not seeing anything on first glance that looks problematic.

if i were you, i would probably try unlinking and relinking your repo, to see if that works.

Tried that, still getting the same error

@destruc7i0n although netlify.toml keys should not be case sensitive, the capital letters in your keys are breaking the build. We’ll get it fixed on our end, but for now, changing them to all lowercase will fix your builds.

Sorry for the negative impact here, and thanks so much for reporting this back.

3 Likes

This totally worked for me when I faced the same issue attempting to implement netlify-plugin-gatsby-cache.

1 Like